Overview
GET
/auth/ecosystems/{ecosystemId}/entity-historyauthList a subject’s entity history within an ecosystem (owner-scoped)
Fetch a record from entity-history by ecosystemId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- ecosystemIdpathstring
- subjectTablequerystring
- subjectIdquerystring
Responses
200
Entity history
Example
[
{}
]400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/auth/ecosystems/{ecosystemId}/entity-history" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/ecosystems/{ecosystemId}/entity-history", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();